"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.formatTsLoaderMessages = void 0;
const tslib_1 = require("tslib");
const code_frame_1 = require("@babel/code-frame");
const fs = tslib_1.__importStar(require("fs"));
const os = tslib_1.__importStar(require("os"));
const env_1 = require("../util/env");
function formatTsLoaderMessages(error, colors) {
    const { file } = error;
    const source = file && fs.existsSync(file) && fs.readFileSync(file, 'utf-8');
    if (source) {
        const frame = code_frame_1.codeFrameColumns(source, {
            start: {
                line: error.line,
                column: error.character,
            },
        }, {
            highlightCode: env_1.IS_INTERACTIVE && !env_1.IS_CI,
        });
        return (colors.dim(`${error.line}:${error.character} `) +
            error.content +
            colors.cyan(` (TS${error.code})`) +
            os.EOL +
            (frame ? os.EOL + frame : ''));
    }
    else {
        return '';
    }
}
exports.formatTsLoaderMessages = formatTsLoaderMessages;
//# sourceMappingURL=formatTsLoaderMessages.js.map