"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.paths = exports.resolveOwn = exports.resolveApp = void 0;
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs"));
const path = tslib_1.__importStar(require("path"));
const appDirectory = fs.realpathSync(process.cwd());
const useTemplate = appDirectory === fs.realpathSync(path.join(__dirname, '../..'));
function resolveApp(relativePath) {
    return path.resolve(appDirectory, relativePath);
}
exports.resolveApp = resolveApp;
function resolveOwn(relativePath) {
    return path.resolve(__dirname, '../..', relativePath);
}
exports.resolveOwn = resolveOwn;
exports.paths = useTemplate
    ? {
        appPackageJson: resolveOwn('package.json'),
        appIndexJs: resolveOwn('template/src/index.ts'),
        appTsConfig: resolveOwn('template/tsconfig.json'),
        appEslint: resolveOwn('template/.eslintrc.json'),
        appDevBundlePath: resolveOwn('template/build'),
        appSrc: resolveOwn('template/src'),
        appBuild: resolveOwn('template/dist'),
        testsSetup: resolveOwn('template/setupTests.ts'),
        webpackOverride: resolveOwn('template/webpack.config.override.js'),
        prodBundle: 'bundle.prod.js',
        legacyAppTslint: resolveOwn('template/tslint.json'),
    }
    : {
        appPackageJson: resolveApp('package.json'),
        appIndexJs: resolveApp('src/index.ts'),
        appTsConfig: resolveApp('tsconfig.json'),
        appEslint: resolveApp('.eslintrc.json'),
        appDevBundlePath: resolveApp('build'),
        appSrc: resolveApp('src'),
        appBuild: resolveApp('dist'),
        testsSetup: resolveApp('setupTests.ts'),
        webpackOverride: resolveApp('webpack.config.override.js'),
        prodBundle: 'bundle.prod.js',
        legacyAppTslint: resolveApp('tslint.json'),
    };
//# sourceMappingURL=paths.js.map