"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.saveJson = exports.loadJson = void 0;
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs-extra"));
function loadJson(path) {
    return new Promise((resolve, reject) => {
        fs.readFile(path, { encoding: 'utf-8' }, (err, data) => {
            if (err) {
                return reject(err);
            }
            try {
                return resolve(JSON.parse(data));
            }
            catch (e) {
                return reject(err);
            }
        });
    });
}
exports.loadJson = loadJson;
function saveJson(path, data) {
    return new Promise((resolve, reject) => {
        fs.writeFile(path, JSON.stringify(data, null, 2), (err) => {
            if (err) {
                return reject(err);
            }
            else {
                return resolve(true);
            }
        });
    });
}
exports.saveJson = saveJson;
//# sourceMappingURL=filesystem.js.map