"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFileHash = void 0;
const tslib_1 = require("tslib");
const crypto_1 = tslib_1.__importDefault(require("crypto"));
const fs = tslib_1.__importStar(require("fs"));
function getFileHash(path) {
    return new Promise((resolve) => {
        const hash = crypto_1.default.createHash('sha256');
        const input = fs.createReadStream(path, { encoding: 'utf-8' });
        input.on('readable', () => {
            const data = input.read();
            if (data) {
                hash.update(data);
            }
            else {
                return resolve(hash.digest('hex'));
            }
        });
    });
}
exports.getFileHash = getFileHash;
//# sourceMappingURL=hash.js.map