"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWebpackConfig = void 0;
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs"));
const chalk_1 = tslib_1.__importDefault(require("chalk"));
const webpack_merge_1 = tslib_1.__importDefault(require("webpack-merge"));
const paths_1 = require("../../lib/paths");
const createWebpackConfig_1 = require("../../lib/createWebpackConfig");
/**
 * Gets the webpack configuration depending on the environment being passed in
 *
 * This also checks for a custom 'webpack.config.override.js' and merges it with the base configuration provided by the library
 * @param environment
 */
function getWebpackConfig(environment) {
    const baseConfig = createWebpackConfig_1.createWebpackConfig(environment);
    if (fs.existsSync(paths_1.paths.webpackOverride)) {
        console.log(chalk_1.default.cyan('• Using merged webpack.config.override.js'));
        return webpack_merge_1.default(baseConfig, require(paths_1.paths.webpackOverride));
    }
    else {
        return baseConfig;
    }
}
exports.getWebpackConfig = getWebpackConfig;
//# sourceMappingURL=getWebpackConfig.js.map