"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMigrationLogger = exports.MIGRATION_OP_TYPE = void 0;
const tslib_1 = require("tslib");
const chalk_1 = tslib_1.__importDefault(require("chalk"));
var MIGRATION_OP_TYPE;
(function (MIGRATION_OP_TYPE) {
    MIGRATION_OP_TYPE["WRITE"] = "write";
    MIGRATION_OP_TYPE["MODIFY"] = "modify";
    MIGRATION_OP_TYPE["DELETE"] = "delete";
    MIGRATION_OP_TYPE["SKIP"] = "skip";
    MIGRATION_OP_TYPE["INFO"] = "info";
    MIGRATION_OP_TYPE["INSTALL"] = "install";
    MIGRATION_OP_TYPE["DONE"] = "done";
    MIGRATION_OP_TYPE["ERROR"] = "error";
})(MIGRATION_OP_TYPE = exports.MIGRATION_OP_TYPE || (exports.MIGRATION_OP_TYPE = {}));
function createMigrationLogger() {
    function log(message, type) {
        let chalkWrapper;
        switch (type) {
            case MIGRATION_OP_TYPE.DONE:
            case MIGRATION_OP_TYPE.INSTALL:
            case MIGRATION_OP_TYPE.WRITE:
                chalkWrapper = chalk_1.default.green;
                break;
            case MIGRATION_OP_TYPE.MODIFY:
                chalkWrapper = chalk_1.default.yellow;
                break;
            case MIGRATION_OP_TYPE.ERROR:
            case MIGRATION_OP_TYPE.DELETE:
                chalkWrapper = chalk_1.default.red;
                break;
            case MIGRATION_OP_TYPE.SKIP:
                chalkWrapper = chalk_1.default.dim;
                break;
            case MIGRATION_OP_TYPE.INFO:
                chalkWrapper = chalk_1.default.cyan;
                break;
            default:
                chalkWrapper = (identity) => identity;
        }
        console.log(`${chalkWrapper(type.padStart(7))} ${message}`);
    }
    return log;
}
exports.createMigrationLogger = createMigrationLogger;
//# sourceMappingURL=migrationLogger.js.map